function [VO] = bounds(n, VO, Lb, Ub)
% Make sure the fireflies are within the bounds Lb/Ub
% _________________________________________________________________________

    for iloop = 1 : n,
        Vo_tmp = VO(iloop,:);

%       Check and apply the lower bound
        for jloop = 1 : length(Lb)
            if Vo_tmp(1,jloop) < Lb(1,jloop)
                Vo_tmp(1,jloop) = Lb(1,jloop);
            end
        end

%       Check and apply the upper bounds
        for jloop = 1 : length(Ub)
            if Vo_tmp(1,jloop) > Ub(1,jloop)
                Vo_tmp(1,jloop) = Ub(1,jloop);
            end
        end

%       Update variables
        VO(iloop,:) = Vo_tmp;
    end
end
